<mat-tab-group>
  <mat-tab label="Statistics">
    <div class="container-fluid mt-3">
      <div class="row">
        <div class="col-12 col-md-12 col-lg-3 col-xl-4 col-sm-12">
          <div class="card mb-2">
            <div class="card-header">
              Total tasks
            </div>
            <div class="card-body card-body-text">
              {{totalTasks}} tasks
            </div>
          </div>
          <div class="card mb-2">
            <div class="card-header">
              Hours Spent on Tasks
            </div>
            <div class="card-body card-body-text">
              {{totalTimeLost}} hours
            </div>
          </div>
        </div>
        <div class="col-12 col-md-7 col-lg-5 col-xl-4 col-sm-12">
          <div *ngIf="!membersPieLoaded" class="lds-dual-ring"></div>
          <div class="card mb-2" *ngIf="membersPieLoaded">
            <div class="card-header">
              Developers, Project Managers, QA diagram
            </div>
            <div class="card-body pie-card-body">
              <div class="pie-wrap">
                <ngx-charts-pie-chart [scheme]="pieColorTheme" [trimLabels]="false" [results]="pieData"
                  [doughnut]="doughnut" [arcWidth]="arcWidth" [legend]="showLegend" [legendPosition]="pieLegendPosition"
                  [labels]="showLabels">
                </ngx-charts-pie-chart>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12 col-md-5 col-lg-4 col-xl-4 col-sm-12">
          <div *ngIf="!projectStatusPieLoaded" class="lds-dual-ring"></div>
          <div class="card mb-2" *ngIf="projectStatusPieLoaded">
            <div class="card-header">
              Project status diagram
            </div>
            <div class="card-body pie-projects-card">
              <div class="pie-wrap">
                <ngx-charts-pie-chart [scheme]="pieProjectColorTheme" [trimLabels]="false"
                  [results]="pieProjectStatusData" [doughnut]="doughnut" [arcWidth]="arcWidth" [legend]="showLegend"
                  [legendPosition]="pieProjectLegendPosition" [labels]="showLabels">
                </ngx-charts-pie-chart>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </mat-tab>
  <mat-tab label="All Projects">
    <div *ngIf="!tableLoaded" class="lds-dual-ring"></div>
    <div [hidden]="!tableLoaded" class="mat-elevation-z8 table-container">
      <table mat-table [dataSource]="dataSource" class="w-100" matSort>

        <ng-container matColumnDef="project">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Project </th>
          <td mat-cell *matCellDef="let row">
            <a [routerLink]="['/dashboard-project-statistic/',row.projectId]">
              {{row.projectName}}
            </a>
            <div class="text-secondary manager-label">
              {{row.projectManagerName}}
            </div>
          </td>
        </ng-container>

        <ng-container matColumnDef="startDate">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Start Date </th>
          <td mat-cell *matCellDef="let row"> {{row.startDate}} </td>
        </ng-container>

        <ng-container matColumnDef="endDate">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> End Date </th>
          <td mat-cell *matCellDef="let row"> {{row.endDate}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
          <td mat-cell *matCellDef="let row">
            <mat-chip-list>
              <mat-chip [ngStyle]="getChipBackColor(row.projectStatusName)">
                {{row.projectStatusName}}
              </mat-chip>
            </mat-chip-list>
          </td>
        </ng-container>

        <ng-container matColumnDef="membersCount">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Members Count </th>
          <td mat-cell *matCellDef="let row"> {{row.membersCount}} </td>
        </ng-container>

        <ng-container matColumnDef="developersCount">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Developers Count </th>
          <td mat-cell *matCellDef="let row"> {{row.developersCount}} </td>
        </ng-container>

        <ng-container matColumnDef="tasksCount">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Tasks Count </th>
          <td mat-cell *matCellDef="let row">
            <a [routerLink]="['/estimator-table/',row.projectId]">{{row.tasksCount}}</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
      </table>
      <mat-paginator [pageSizeOptions]="[25, 50, 75, 100]"></mat-paginator>
    </div>
  </mat-tab>
</mat-tab-group>